% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/formula.R
\name{formula.spmod}
\alias{formula.spmod}
\title{Model formulae}
\usage{
\method{formula}{spmod}(x, ...)
}
\arguments{
\item{x}{A fitted model object from \code{\link[=splm]{splm()}} or \code{\link[=spautor]{spautor()}}.}

\item{...}{Other arguments. Not used (needed for generic consistency).}
}
\value{
The formula used by a fitted model object.
}
\description{
Return formula used by a fitted model object.
}
\examples{
spmod <- splm(z ~ water + tarp,
  data = caribou,
  spcov_type = "exponential", xcoord = x, ycoord = y
)
formula(spmod)
}
